Subject: Re: [Bitcoin-development] Proposal: remove "getwork" RPC from bitcoind

From: "Warren Togami Jr." <[email-masked]>
Date: Mon, 19 Aug 2013 10:33:20 -1000

FWIW, Litecoin 0.8.x entirely removed the internal miner and we warned
people that getwork will be removed in the next major version.  Pooler's
CPU minerd which supports both sha256d and scrypt recently grew stratum
support.  Perhaps he could be convinced to add GBT support too, which would
help this goal of completely removing the internal miner and getwork.

Warren

On Mon, Aug 19, 2013 at 10:23 AM, Gregory Maxwell <[email-masked]>wrote:

> On Mon, Aug 19, 2013 at 1:16 PM, Gregory Maxwell <[email-masked]>
> wrote:
> > I think removing the ability to mine in the stock package would be
> > regrettable,
>
> I am naughty and should clarify.  I had ass.u.me.d that Jeff's patch
> also removed the internal CPU miner, because doing so is necessary for
> actually getting rid of most of the getwork code. It doesn't actually.
>
> Though this doesn't change the fact that the internal miner is mostly
> a pretext for integrated mining.  Since it only really works on
> testnet it also means our testnet testing using it is not a good test
> of the actual production software.  I'd rather remove the internal
> miner too, getting rid of the extra code and complexity, and package
> up a GBT miner which would actually be usable on the mainnet.
>
>
> ------------------------------------------------------------------------------
> Introducing Performance Central, a new site from SourceForge and
> AppDynamics. Performance Central is your source for news, insights,
> analysis and resources for efficient Application Performance Management.
> Visit us today!
> http://pubads.g.doubleclick.net/gampad/clk?id=48897511&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>